Back to reference
GET/wallets/{walletId}/verify-integrity
Ledger

Verify ledger integrity

Verifies the wallet ledger integrity chain. This operation is restricted and potentially expensive.

Access tierrestricted_auditorRate limit20/minIdempotencynoneAuthenticationBearerAuth
SourceLuxApi/app/Http/Controllers/Api/WalletApiController.php::verifyIntegrityLuxPayProjects @ 146e98baa44e

Parameters

X-Request-IDheader
stringOptional

Client correlation identifier. LuxPay may generate one when omitted.

Example: req_01J...
walletIdpath
integerRequired

Numeric wallet identifier.

Example: 42

Code examples

The displayed sandbox host is a placeholder until an official host is provisioned. Never paste a production token into a public browser.
curl --request GET \
  --url 'https://sandbox-api.luxpay.example/v1/wallets/42/verify-integrity' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <token>'

Responses

200Successful response.
status
boolean
message
string
data
object
{
  "status": false,
  "message": "string",
  "data": {
    "wallet_id": 1,
    "integrity": "valid"
  }
}
400
401
403
404
409
422
429
500
OpenAPI JSONOpenAPI YAMLPostman collection